ImageMagick-6.9.10-93

Introduction à ImageMagick-6 libraries

ImageMagick a eu droit à de grandes modifications dans ses bibliothèques entre les versions 6 et 7. La plupart des paquets de BLFS qui utilisent ImageMagick peuvent utiliser la version 7, mais pour d'autres cette page installera seulement les bibliothèques, les en-têtes et la documentation générale (pas les programmes, les pages de manuel et les modules perl) et il renommera les fichier pkgconfig non-versionnés pour qu'ils n'écrasent pas les fichiers du même nom de la version 7.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Téléchargements supplémentaires

[Note]

Note

Les sources de ImageMagick sont mises à jour régulièrement et la version montrée au-dessus peut ne plus être disponible à l'emplacement de téléchargement. Vous pouvez télécharger une version plus récente et utiliser les instructions de BLFS pour l'installer. Il est probable que tout se passe bien, mais cela n'a pas été testé par l'équipe de BLFS. Si la version du paquet ci-dessus n'est pas disponible depuis cet emplacement, ou depuis le répertoire legacy sur ftp.ImageMagick.org/pub/ImageMagick vous pouvez le télécharger depuis le serveur de paquets de BLFS depuis l'Université d'État de l'Oregon : ftp://ftp.osuosl.org/pub/blfs/conglomeration/ImageMagick/.

Dépendances de ImageMagick-6

Recommandées

Vous devriez installer les dépendances facultatives listées ci-dessous si vous avez besoin du support d'un format spécifique ou de l'outil de conversion que la dépendance fournit. Beaucoup de possibilités et d'usage des dépendances sont décrites dans la section « MAGICK DELEGATES » du fichier README.txt situé dans l'arborescence des sources. Vous pouvez trouver des informations supplémentaires sur les dépendances tant dans le fichier Install-unix.txt situé dans l'arborescence des sources qu'en lançant la commande ./configure --help. Vous pouvez lire un résumé de ces informations et des remarques complémentaires en ligne sur http://www.imagemagick.org/script/advanced-unix-installation.php.

Utilitaires systèmes facultatifs

Cups-2.3.3, cURL-7.71.1, FFmpeg-4.3.1, fftw-3.3.8, p7zip-16.02 (LZMA), SANE-1.0.29, Wget-1.20.3, xdg-utils-1.1.3, xterm-358, Dmalloc, Electric Fence, PGP ou GnuPG-2.2.21 (vous devrez utiliser quelques hacks pour utiliser GnuPG), Profiles et ufraw (pour les formats raw listés dans http://www.imagemagick.org/www/formats.html)

Bibliothèques graphiques facultatives

JasPer-2.0.14, Little CMS-1.19 or Little CMS-2.11, libexif-0.6.22, libgxps-0.3.1, libjpeg-turbo-2.0.5, libpng-1.6.37, libraw-0.20.0 (RAW_R), librsvg-2.48.8, LibTIFF-4.1.0, libwebp-1.1.0, OpenJPEG-2.3.1, Pango-1.44.7, DjVuLibre, FlashPIX (libfpx), FLIF, JBIG-KIT, libraqm, Liquid Rescale, OpenEXR et RALCGM (ou ralcgm)

Utilitaires graphiques facultatifs

Dejavu fonts, ghostscript-9.52, Gimp-2.10.20, Graphviz-2.44.1, Inkscape-1.0, Blender, corefonts, GhostPCL, Gnuplot, POV-Ray et Radiance

Outils de conversion facultatifs

Enscript-1.6.6, texlive-20200406 (ou install-tl-unx) AutoTrace, GeoExpress Command Line Utilities, AKA MrSID Utilities (paquet binaire), hp2xx, html2ps, libwmf, UniConvertor et Utah Raster Toolkit (ou URT-3.1b)

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/imagemagick

Installation de ImageMagick-6 libraries

Installez ImageMagick en lançant les commandes suivantes :

patch -Np1 -i ../ImageMagick-6.9.10-93-libs_only-1.patch &&
autoreconf -fi                                          &&
./configure --prefix=/usr     \
            --sysconfdir=/etc \
            --enable-hdri     \
            --with-modules    \
            --disable-static  &&
make

Maintenant, en tant qu'utilisateur root :

make DOCUMENTATION_PATH=/usr/share/doc/imagemagick-6.9.10 install-libs-only

Pour tester l'installation, tapez : make check. Notez que les tests EPS, PS et PDF demandent un Ghostscript fonctionnel. Un test de 'make check' demande « Helvetica » de « Ghostscript Standard Fonts », qui est facultativement installé dans ghostscript-9.52 - ce test, et un autre, peuvent échouer, mais toute la validation peut toujours réussir.

Explication des commandes

patch -Np1 -i ../ImageMagick-6.9.10-imagemagick6_libs_only-1.patch : Renomme les fichiers pkgconfig non-versionnés en versionnés et fournit une option pour installer seulement les bibliothèques et les fichiers associés.

--enable-hdri : Active la construction d'une version à espace hautement dynamique de ImageMagick.

--with-modules : Active le support des modules chargeables de façon dynamique.

--disable-static : Ce paramètre empêche l'installation des versions statiques des bibliothèques.

--with-gslib : Active le support pour utiliser la bibliothèque partagée de Ghostscript.

--with-rsvg : Active le support pour utiliser la bibliothèque librsvg.

--with-autotrace : Active le support pour utiliser la bibliothèque Autotrace.

--with-wmf : Active le support pour utiliser la bibliothèque libwmf..

--with-gvc : Active le support pour utiliser GraphViz.

--with-windows-font-dir= <Some/Directory> : Cette option spécifie le répertoire où les CoreFonts Windows seront installés.

--with-dejavu-font-dir= <Some/Directory> : Cette option spécifie le répertoire ou les polices DejaVu sont installées.

Les options et les paramètres listés ci-dessus sont les seuls que vous devriez être obligé de passer au script configure pour activer toutes les fonctions déléguées aux dépendances. Toutes les autres dépendances seront automatiquement détectées et utilisées dans la construction si elles sont installées.

Contents

Programmes installés: None
Bibliothèques installées: libMagickCore-6.Q16HDRI.so, libMagickWand-6.Q16HDRI.so et libMagick++-6.Q16HDRI.so
Répertoires installés: /etc/ImageMagick-6, /usr/include/ImageMagick-6, /usr/lib/ImageMagick-6.9.10, /usr/share/doc/ImageMagick-6.9.10 et /usr/share/ImageMagick-6

Descriptions courtes

libMagickCore-6.Q16HDRI.so

fournit une API C pour ImageMagick.

libMagickWand-6.Q16HDRI.so

est l'API C recommandée pour ImageMagick. Contrairement à l'API MagickCore elle n'utilise que peu de types opaques.

libMagick++-6.Q16HDRI.so

fournit une API C++ pour ImageMagick.

Last updated on 2020-04-14 02:02:26 +0000